<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.iot.mapper.tda.TdaApplicationMapper">
    <select id="getPage" resultType="com.fjhx.iot.entity.tda.vo.TdaApplicationVo">
        select ta.id,
               ta.tda_config_id,
               ta.app_id,
               ta.app_name,
               ta.remark,
               ta.create_user,
               ta.create_time,
               ta.update_user,
               ta.update_time,
               tc.name configName
        from tda_application ta
                 left join tda_config tc on ta.tda_config_id = tc.id
            ${ew.customSqlSegment}
    </select>

</mapper>
